using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;
using Plux;

[Extension]
[Plug("Plux.Control", AutoRegister = false)]
[Slot("Plux.Figure", Unique=false, AutoRegister = false)]
public partial class Usage2 : UserControl, IControl {
  public Usage2() {
    InitializeComponent();
  }
  public Control Control {
    get { return this; }
  }
  [Browsable(true)]
  [Category("Appearance")]
  [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
  public string Caption {
    get { return caption.Text; }
    set { caption.Text = value; }
  }
  public override Size GetPreferredSize(Size proposedSize) {
    return Size;
  }
}